%global pypi_name jaraco.collections
%bcond_with docs

Summary:        Collection objects similar to those in stdlib by jaraco
Name:           python-jaraco-collections
Version:        4.3.0
Release:        2%{?dist}
License:        MIT
URL:            https://github.com/jaraco/jaraco.collections
Source0:        %{pypi_source}
 
BuildRequires:  python3-devel
%if %{with tests}
BuildRequires:  python3dist(jaraco-text) python3dist(pytest-black-multipy)
BuildRequires:  python3dist(pytest-cov) python3dist(pytest-flake8)
BuildRequires:  python3dist(pytest) >= 3.5
BuildRequires:  python3dist(pytest-checkdocs) >= 1.2.3
BuildRequires:  python3dist(rst-linker) >= 1.9
BuildRequires:  python3dist(six) >= 1.7.0
%endif

BuildArch:      noarch

%description
Collection objects similar to those in stdlib by jaraco.

%package -n     python3-jaraco-collections
Summary:        Collection objects similar to those in stdlib by jaraco
Requires:       python3-jaraco

%description -n python3-jaraco-collections
Collection objects similar to those in stdlib by jaraco.

%package -n python-jaraco-collections-doc
Summary:        jaraco.collections documentation

%description -n python-jaraco-collections-doc
Documentation for jaraco.collections

%prep
%autosetup -n %{pypi_name}-%{version}
%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel
%if %{with docs}
PYTHONPATH=${PWD} sphinx-build-3 docs html
rm -rf html/.{doctrees,buildinfo}
%endif

%if %{with tests}
%check
%pytest
%endif

%install
%pyproject_install

%files -n python3-jaraco-collections
%license LICENSE
%doc README.rst
%pycached %exclude %{python3_sitelib}/jaraco/__init__.py
%pycached %{python3_sitelib}/jaraco/collections.py
%{python3_sitelib}/jaraco.collections-%{version}.dist-info/

%if %{with docs}
%files -n python-jaraco-collections-doc
%license LICENSE
%doc html
%endif

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.3.0-2
- Rebuilt for loongarch release

* Fri Sep 22 2023 jackeyji <jackeyji@tencent.com> - 4.3.0-1
- upgrade to 4.3.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jan 12 2023 Miaojun Dong <zoedong@tencent.com> - 3.0.0-1
- initial build
